local E, F, C = unpack(select(2, ...))
local LMB = LibStub("Masque", true) or (LibMasque and LibMasque("Button"))

local _, class 	= UnitClass('player')
local _, race  	= UnitRace('player')
local color 	= CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]
local gender 	= {'neuter or unknown', 'male', 'female'}

local LynMicroMenuFont = CreateFont('LynMicroMenuFont')
LynMicroMenuFont:SetFont(C.BIG_FONT, 12)

if (UIDROPDOWNMENU_VALUE_PATCH_VERSION or 0) < 2 then
	UIDROPDOWNMENU_VALUE_PATCH_VERSION = 2
	hooksecurefunc("UIDropDownMenu_InitializeHelper", function()
		if UIDROPDOWNMENU_VALUE_PATCH_VERSION ~= 2 then
			return
		end
		for i=1, UIDROPDOWNMENU_MAXLEVELS do
			for j=1, UIDROPDOWNMENU_MAXBUTTONS do
				local b = _G["DropDownList" .. i .. "Button" .. j]
				if not (issecurevariable(b, "value") or b:IsShown()) then
					b.value = nil
					repeat
						j, b["fx" .. j] = j+1
					until issecurevariable(b, "value")
				end
			end
		end
	end)
end

local dropdown = CreateFrame('Frame', 'LynMicroMenu', UIParent, 'UIDropDownMenuTemplate')
local menuTable = {
	{
		text = CHARACTER_BUTTON,
		icon = [[Interface\AddOns\lyn\assets\char]],
		notCheckable = true,
		colorCode = '|cffffffff',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleCharacter, 'PaperDollFrame') end
	},
	{
		text = SPELLBOOK_ABILITIES_BUTTON,
		icon = [[Interface\AddOns\lyn\assets\spell]],
		notCheckable = true,
		colorCode = '|cffffffff',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleSpellBook, BOOKTYPE_SPELL) end
	},
	{
		text = TALENTS_BUTTON,
		icon = [[Interface\AddOns\lyn\assets\talent]],
		notCheckable = true,
		colorCode = '|cffffffff',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleTalentFrame) end
	},
	{
		text = SOCIAL_BUTTON,
		icon = [[Interface\AddOns\lyn\assets\social]],
		notCheckable = true,
		colorCode = '|cffffffff',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleFriendsFrame) end
	},
	{
		text = COMMUNITIES_FRAME_TITLE,
		icon = [[Interface\AddOns\lyn\assets\guild]],
		notCheckable = true,
		colorCode = '|cffffffff',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleCommunitiesFrame) end
	},
	{
		text = QUESTLOG_BUTTON,
		icon = [[Interface\AddOns\lyn\assets\quest]],
		notCheckable = true,
		colorCode = '|cffffffff',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleQuestLog) end
	},
	{
		text = HELP_BUTTON,
		icon = [[Interface\AddOns\lyn\assets\help]],
		notCheckable = true,
		colorCode = '|cffffffff',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleHelpFrame) end
	},
	{
		text = ADDON_LIST,
		notCheckable = true,
		colorCode = '|cff999999',
		fontObject = LynMicroMenuFont,
		func = function() ToggleFrame(AddonList) end
	},
	{
		text = LOOT_ROLLS,
		notCheckable = true,
		colorCode = '|cff999999',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleLootHistoryFrame) end
	},
	{
		text = BATTLEFIELD_MINIMAP,
		notCheckable = true,
		colorCode = '|cff999999',
		fontObject = LynMicroMenuFont,
		func = function() securecall(ToggleBattlefieldMap) end
	},
}

local group = LMB:Group("lyn", "LynMicroButton")
local frame = CreateFrame('Frame')

local button = CreateFrame('BUTTON', 'LynMicroMenuButton', UIParent)
button:SetSize(30, 30)
button:SetPoint('BOTTOMRIGHT', -10, 6)
button:EnableMouse(true)
button:RegisterForClicks('LeftButtonUp', 'RightButtonUp')

button:SetNormalTexture([[Interface\Buttons\UI-Quickslot2]])
button:SetHighlightTexture([[Interface\Buttons\ButtonHilight-Square]])
button:SetPushedTexture([[Interface\Buttons\UI-Quickslot-Depress]])

local icon = button:CreateTexture('LynMicroMenuButtonIcon','BACKGROUND')
icon:SetAllPoints()
icon:SetTexture([[Interface\ICONS\INV_Gizmo_02]])
icon:SetTexCoord(0.75,1,0.25,0.5)

frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:SetScript('OnEvent', function(self, event, addon) 
	group:AddButton(button)
	group:ReSkin()
end)

button:SetScript('OnClick', function(self, btn, down)
	if btn == 'LeftButton' then
		EasyMenu(menuTable, dropdown, button, -75, 225, 'MENU', 10)
	elseif btn == 'RightButton' then
		if IsShiftKeyDown() then
			ReloadUI()
		else
			ToggleFrame(GameMenuFrame)
		end
	end
end)

