local E, F, C = unpack(select(2, ...))


for i = 1, MIRRORTIMER_NUMTIMERS do

	local bar   = _G['MirrorTimer' .. i]
	local name	= bar:GetName()

	if not bar.skinned then
		bar:SetSize(180, 16)
		
		F:CreateBorder(bar, -1)
		bar:SetBorderColor(unpack(C.BORDER_COLOR_DARK))
		
		local bg = bar:CreateTexture(nil, "BACKGROUND", nil, 1)
		bg:SetColorTexture(0.1, 0.1, 0.1, 1)
		bg:SetAllPoints(bar)
		
		local statusbar = _G[name..'StatusBar']
		statusbar:SetStatusBarTexture(C.STATUSBAR_TEXTURE)
		statusbar:SetAllPoints(bar)

		local backdrop = select(1, bar:GetRegions())
		backdrop:SetColorTexture(0, 0, 0, 0.5)
		backdrop:SetAllPoints(bar)

		local border = _G[name..'Border']
		border:Hide()

		local text = _G[name..'Text']
		text:SetFont(C.BIG_FONT, 12)
		text:ClearAllPoints()
		text:SetPoint('CENTER', bar, 0, 1)

		bar.skinned = true
	end
end

local AddTimer = function(self, event)
	for _, timer in pairs(TimerTracker.timerList) do
		local bar  		= timer['bar']
		local border	= _G[bar:GetName()..'Border']
      local text		= _G[bar:GetName()..'TimeText']

		border:SetTexture('')

		bar:SetSize(180, 15)
		bar:SetStatusBarTexture(C.STATUSBAR_TEXTURE)
		bar:SetFrameLevel(3)
		bar:DisableDrawLayer('BACKGROUND')
		--bar:SetAllPoints(bar)

		if not bar.skinned then
			local bg = CreateFrame('Frame', nil, bar)
			bg:SetPoint('TOPLEFT', bar, -1, 1)
			bg:SetPoint('BOTTOMRIGHT', bar, 1, -1)
			bg:SetBackdrop({
				bgFile = [[Interface\Tooltips\UI-Tooltip-Background]],
				tiled = false,
				insets = {left = 0, right = 0, top = 0, bottom = 0}
			})
			bg:SetBackdropColor(0, 0, 0, 1)
			bg:SetFrameLevel(bar:GetFrameLevel() - 1)

			local shadow = CreateFrame('Frame', nil, bar)
			shadow:SetBackdrop({
				bgFile = [[Interface\Tooltips\UI-Tooltip-Background]],
				tiled = false,
				insets = {left = -3, right = -3, top = -3, bottom = -3}
			})
			shadow:SetBackdropColor(0, 0, 0, .6)
			shadow:SetAllPoints(bar)
			shadow:SetFrameLevel(bar:GetFrameLevel() - 2)

			bar.skinned = true
		end

		text:SetFont(C.BIG_FONT, 10)
		text:ClearAllPoints()
		text:SetPoint('CENTER', bar, 0, 0)
		text:SetDrawLayer('OVERLAY', 7)

	end
end

local e = CreateFrame'Frame'
e:RegisterEvent'START_TIMER'
e:SetScript('OnEvent', AddTimer)
