local _, addon = ...
local config = CreateFrame('Frame')
addon.config = config

-- ----------------------------------------------------------------------------------------------------

local _, class = UnitClass('player')

-- general colors
config.color = {
	grey	= {r = 0.065, g = 0.065, b = 0.065},
	normal	= {r = 1, g = 1, b = 1},
	class		= CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class],
	castbar 	= {
		shield = {r = .4, g = .4, b = .4},
		target = {r = 12/255, g = 211/255, b = 99/255},
		player = {r = 1, g = 1, b = 1} --{r = 1, g = 153/255, b = 0}
	}
}

if class == 'PRIEST' then
	config.color.castbar.player = { r = 252/255, g = 100/255, b = 74/255 }
end

-- texture path
config.path  = 'Interface\\AddOns\\oUF_Lyn\\textures\\'

-- common used statusbar textures
config.statusbar = {
	normal 	= [[Interface\AddOns\lyn\assets\statusbar.tga]],
	gradient	= [[Interface\AddOns\oUF_Lyn\textures\statusbar3.tga]],
	castbar	= [[Interface\AddOns\lyn\assets\lyn2.tga]]
}

-- used fonts
config.font = {
	normal	= [[Fonts\ARIALN.ttf]],
	big 	= [[Interface\AddOns\lyn\assets\Digitalt.ttf]]
}

-- target castbar position
config.castbar = {'BOTTOM', UIParent, 'BOTTOM', 0, 350}

-- only show player debuffs on target
config.onlyPlayerDebuffs = false

-- buff/debuff tracker on player uf
local a = {}

a[20600] = true -- perception

if class == 'SHAMAN' then
-- add some here
elseif class == 'MAGE' then
-- add some here
elseif class == 'WARRIOR' then
-- add some here
elseif class == 'DRUID' then
-- add some here
elseif class == 'ROGUE' then
	a[5277]	= true -- evasion
	a[5171] = true -- slice and dice rank 1
	a[6774] = true -- slice and dice rank 2
elseif class == 'HUNTER' then
-- add some here
elseif class == 'PALADIN' then
-- add some here
elseif class == 'DEATHKNIGHT' then
-- add some here
elseif class == 'PRIEST' then
-- add some here
elseif class == 'WARLOCK' then
-- add some here
end
config.playerAuras = a

