

	-- api:
	-- 		self.Silhouette = CreateFrame('PlayerModel', nil, Health)
	--		self.Silhouette:SetSize(x, x)				-- nb: make it bigger than container/background for best positioning
	--
	--		self.Silhouette.Small						-- thumbnail sized portraits


	local _, ns = ...
	local oUF = ns.oUF or oUF
	assert(oUF, 'oUF Silhouette was unable to locate oUF install')

	-- TODO: 	arrange cast animation around UNIT_SPELLCAST_START
	-- 			filter animations for raid?
	-- 			shapeshifting whoppers

	local CamSmall = {
		['Gnome'] 		= {['male'] = {1,  0,   -.3 }, 		['female'] = {.9,  0,   -.3 }	},
		['Dwarf'] 		= {['male'] = {1.35,  0,   -.5}, 	['female'] = {1.35,  .05,   -.5}},
		['Human'] 		= {['male'] = {1.8,  .05,   -.75}, 	['female'] = {1.6,  .05,   -.725}},
		['NightElf']	= {['male'] = {2.3,  0,   -.7 }, 	['female'] = {2.3,  0,   -.7}},
		['Draenei']		= {['male'] = {2.4,  0,   -.9 }, 	['female'] = {2.4,  0,   -.9}	},
		['Worgen']		= {['male'] = {1.8,  .05,   -.8 }, 	['female'] = {1.6,  .05,   -.725}},
		['Orc']			= {['male'] = {1.7,  0,   -.8 }, 	['female'] = {2.1,  0,   -.7}},
		['Scourge']		= {['male'] = {1.9, 0,   -.7}, 	['female'] = {2.6,  0,   -.6}},
		['Tauren']		= {['male'] = {1.8,  0,   -.55}, 	['female'] = {1.9,  0,   -.55}	},
		['Troll']		= {['male'] = {2,  -.05,   -.8}, 	['female'] = {2,  -.05,   -.8}},
		['BloodElf']	= {['male'] = {1.8,  0,   -.8}, 	['female'] = {1.9,  .05,   -.7}},
		['Goblin']		= {['male'] = {1,  -.05,   -.3 }, 	['female'] = {.9,  -.05,   -.3}	},
		['Pandaren']	= {['male'] = {2.1, 0, -.7 }, 	['female'] = {1.9,  -.05,   -.7}},
	}

	local CamLarge = {
		['Demon']		= {1.5,  .5,   -1.2},
		['Giant']		= {1.5,  .5,   -1.2},
		['Elemental']	= {2,    .625, -.6 },
		['Beast']		= {1.3,  0,    -.3 },
		['worldboss']	= {-1.3, 1.15, -.4 },
		['Gnome'] 		= {['male'] = {.5, -.7,  -.5}, 	['female'] = {.5,  -.7, -.5}},
		['Dwarf'] 		= {['male'] = {.7, .05,  -.8}, 	['female'] = {.7,  0,   -.6}},
		['Human'] 		= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
		['NightElf']	= {['male'] = {1.5, .1,  -.8}, 	['female'] = {1.5, 0,   -.8}},
		['Draenei']		= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
		['Worgen']		= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
		['Orc']			= {['male'] = {.4,  .1,  -.7}, 	['female'] = {.4, .1,   -.7}},
		['Scourge']		= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
		['Tauren']		= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
		['Troll']		= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
		['BloodElf']	= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
		['Goblin']		= {['male'] = {.5,  0,   -.5}, 	['female'] = {.5,  0,   -.5}},
		['Panderen']	= {['male'] = {1.3, 0,   -.7}, 	['female'] = {1.3, 0,   -.7}},
	}

	local FormatPortraitCamera = function(self, unit)
		local silhouette     = self.Silhouette
		local _, race 		 = UnitRace(unit)
		local classification = UnitClassification(unit)
		local type 		     = UnitCreatureType(unit)
		local sex			 = UnitSex(unit) == 3 and 'female' or 'male'
		if silhouette.Small then
			--[[for n, v in pairs(CamSmall) do
				if race == n then
					silhouette:SetPosition(v[sex][1], v[sex][2], v[sex][3])  --!
					break
				else
					silhouette:SetPosition(-1.2, 1.15, -1.8)
				end
			end]]
			silhouette:SetCamera(0)
			silhouette:SetPortraitZoom(.75)
		else
			--[[for n, v in pairs(CamLarge) do
				if type == n then
					silhouette:SetPosition(v[1], v[2], v[3])
					break
				elseif classification == n then
					silhouette:SetPosition(v[1], v[2], v[3])
					break
				elseif race == n then
					silhouette:SetPosition(v[sex][1], v[sex][2], v[sex][3])
					break
				else
					silhouette:SetPosition(1.3, 0, -.7)
				end
			end]]
			silhouette:SetPortraitZoom(.3)
			silhouette:SetCamDistanceScale(.75)
			if not silhouette.positioned then
				local x, y, z = silhouette:GetPosition()
				silhouette:SetPosition(x, y, z-.2)
				silhouette.positioned = true
			end
		end
	end

	local PLAYER_REGEN_DISABLED = function(self)
		self.Silhouette:SetAnimation(26)
	end

	local PLAYER_REGEN_ENABLED = function(self)
		self.Silhouette:SetAnimation(0)
	end

	local UNIT_PORTRAIT_UPDATE = function(self, event, unit)
		if not unit or not UnitIsUnit(self.unit, unit) then return end
		local silhouette = self.Silhouette

		if silhouette.PreUpdate then silhouette:PreUpdate(unit) end

		FormatPortraitCamera(self, unit)
		silhouette:SetFogColor(0, 0, 0)
		silhouette:SetFogNear(0)
		silhouette:ClearModel()
		silhouette:SetUnit(unit)

		silhouette:SetScript('OnShow', function(self)							-- wave hello
			C_Timer.After(3,   function() self:SetAnimation(67) end)
			C_Timer.After(4.7, function() self:SetAnimation(0)  end)
		end)
		if not unit:sub(1, 4) == 'raid' then
			self:RegisterEvent('PLAYER_REGEN_DISABLED', PLAYER_REGEN_DISABLED)	-- combat
			self:RegisterEvent('PLAYER_REGEN_ENABLED',  PLAYER_REGEN_ENABLED)	-- default
		end

		if silhouette.PostUpdate then
			return silhouette:PostUpdate(self, unit)
		end
	end

	local Path = function(self, ...)
		return (self.Silhouette.Override or UNIT_PORTRAIT_UPDATE)(self, ...)
	end

	local ForceUpdate = function(element)
		return Path(element.__owner, 'ForceUpdate', element.__owner.unit)
	end

	local Enable = function(self, unit)
		local silhouette = self.Silhouette
		if  silhouette then
			silhouette:Show()
			silhouette.__owner = self
			silhouette.ForceUpdate = ForceUpdate

			self:RegisterEvent('UNIT_PORTRAIT_UPDATE', Path)
			self:RegisterEvent('UNIT_MODEL_CHANGED', Path)
			self:RegisterEvent('UNIT_CONNECTION', Path)

			if unit == 'party' then
				self:RegisterEvent('PARTY_MEMBER_ENABLE', Path)
			end
			return true
		end
	end

	local Disable = function(self, unit)
		local silhouette = self.Silhouette
		if  silhouette then
			silhouette:Hide()
			self:UnregisterEvent('UNIT_PORTRAIT_UPDATE', Path)
			self:UnregisterEvent('UNIT_MODEL_CHANGED', Path)
			self:UnregisterEvent('PARTY_MEMBER_ENABLE', Path)
			self:UnregisterEvent('UNIT_CONNECTION', Path)
			self:UnregisterEvent('PLAYER_REGEN_DISABLED', PLAYER_REGEN_DISABLED)
			self:UnregisterEvent('PLAYER_REGEN_ENABLED',  PLAYER_REGEN_ENABLED)
		end
	end

	oUF:AddElement('Silhouette', Path, Enable, Disable)


	--
