local _, addon = ...
local cfg = addon.config
local lib = addon.lib
local E, F, C = unpack(_G['lyn'])

-- ----------------------------------------------------------------------------------------------------

local CreateLayout = function(self, unit)
	self:SetScript('OnEnter', UnitFrame_OnEnter)
	self:SetScript('OnLeave', UnitFrame_OnLeave)
	self:RegisterForClicks('AnyUp')

	self:SetWidth(140)
	self:SetHeight(24)
	self:SetPoint('LEFT', LynInfoBar, 15, -3)
	
	local border = CreateFrame('Frame', nil, self)
	border:SetAllPoints(self)
	border:SetSize(self:GetWidth(), self:GetHeight())
	border:SetFrameLevel(self:GetFrameLevel() + 3)
	lib.CreateFrameBorder(border, -2)
	border:SetBorderColor(unpack(C.BORDER_COLOR_DARK))

	-- health bar
	local health = CreateFrame("StatusBar", nil, self)
	health:SetStatusBarTexture(cfg.statusbar.gradient)
	health:SetStatusBarColor(.1, .1, .1)
	health:SetAllPoints(self)

	-- health background
	local hbg = health:CreateTexture(nil, "BACKGROUND", nil, 0)
	hbg:SetTexture(cfg.statusbar.gradient)
	hbg:SetVertexColor(cfg.color.grey.r, cfg.color.grey.g, cfg.color.grey.b, 1)
	hbg:SetAllPoints(health)

	-- health options
	health.frequentUpdates = true
	health.colorHealth = true
	health.Smooth = true
	health.PostUpdate = lib.PostUpdateHealth

	self.Health = health

	-- health percent
	local hp = health:CreateFontString(nil, "OVERLAY")
	hp:SetPoint('RIGHT', health, -7, 0)
	hp:SetShadowColor(0, 0, 0, 1)
	hp:SetTextColor(1, 1, 1)
	hp:SetShadowOffset(1, -1)
	hp:SetJustifyH('RIGHT')
	hp:SetFont(cfg.font.big, 18, 'OUTLINE')
	hp:SetTextColor(1, 1, 1)
	self:Tag(hp, '[lyn:hpp]')

	-- health absolute
	local hpv = health:CreateFontString(nil, "OVERLAY")
	hpv:SetPoint('RIGHT', hp, 'LEFT', -5, 1)
	hpv:SetJustifyH('RIGHT')
	hpv:SetFont(cfg.font.big, 12, 'OUTLINE')
	hpv:SetShadowOffset(1, -1)
	hpv:SetShadowColor(0, 0, 0, 1)
	hpv:SetTextColor(.8, .8, .8)
	self:Tag(hpv, '[lyn:hps]')

	-- raid marker icon
	local marker = health:CreateTexture(nil, 'OVERLAY')
	marker:SetTexture(cfg.path .. 'raidicons')
	marker:SetSize(24, 24)
	marker:SetPoint('TOP', 0, 12)
	self.RaidTargetIndicator = marker

end

oUF:RegisterStyle('oUF_LynPet', CreateLayout)
oUF:SetActiveStyle('oUF_LynPet')
oUF:Spawn('pet','oUF_LynPet')
